.cta-section {
    color: var(--white-primary);
    background-color: var(--black-primary);
    padding: 80px 0 104px;

    @media screen and (max-width: 767px) {
        padding: 64px 0 64px;
    }
}

.cta-section h2 {
    color: var(--white-primary);
}

.cta-section__flex-wrapper {
    display: flex;
    gap: 32px;
    align-items: center;
    justify-content: space-between;

    @media screen and (max-width: 1439px) {
        justify-content: center;
    }

    @media screen and (max-width: 1199px) {
        flex-direction: column-reverse;
        gap: 80px;
    }

    @media screen and (max-width: 767px) {
        gap: 32px;
    }
}

.cta-section__img-wrapper {
    position: relative;
    background: transparent;
    overflow: hidden;
    border-radius: 48px;
}

/* .cta-section__img-wrapper::before {
  content: "";
  position: absolute;
  inset: 0 0 0 0;
  background: radial-gradient(
    85% 20% at 50% 100%,
    rgba(26, 26, 26, 1) 45%,
    transparent 60%
  );
  z-index: 1;
  overflow: visible;
} */

/* .cta-section__img-wrapper img {
  filter: saturate(120%) brightness(90%);
} */

.cta-section__flex-wrapper img {
    position: relative;
    /* z-index: 2; */
    width: 677px;

    @media screen and (max-width: 1439px) {
        width: 677px;
    }

    @media screen and (max-width: 767px) {
        width: 100%;
    }
}

.cta-section__flex-wrapper__text-wrapper {
    max-width: 459px;

    @media screen and (max-width: 1200px) {
        text-align: center;
    }
}

.cta-section__flex-wrapper__text-wrapper h2 {
    font-size: 48px;

    @media screen and (max-width: 767px) {
        font-size: 32px;
    }
}

.cta-section__flex-wrapper__text-wrapper p {
    font-size: 18px;
    color: var(--grey-border-secondary);
    margin: 24px 0 32px;
}
